Summary: A hardware browser.
Name: hwbrowser
Version: 0.19
Release: 0.EL4.4
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
Patch0: hwbrowser-0.19-scrolledwindow.patch
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: desktop-file-utils
BuildRequires: automake
Requires: gnome-python2
Requires: gnome-python2-canvas
Requires: pygtk2
Requires: pygtk2-libglade
Requires: usermode
Requires: kudzu
Requires: pyparted >= 1.6

%description
A browser for your current hardware configuration.

%prep
%setup -q
%patch0 -p1 -b .scrolledwindow

CFLAGS="$RPM_OPT_FLAGS" ./configure \
    $MYARCH_FLAGS --enable-more-warnings=no \
    --prefix=%{_prefix} --datadir=%{_datadir} \
    --sysconfdir=%{_sysconfdir} --includedir=%{_includedir} \
    --libdir=%{_libdir} --bindir=%{_bindir}

%build

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
%makeinstall
desktop-file-install --vendor redhat --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/hwbrowser.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/kontrol-panel/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING
%{_bindir}/hwbrowser
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_datadir}/hwbrowser
%{_datadir}/kontrol-panel/icons/hwbrowser.png
%{_datadir}/pixmaps/hwbrowser.png
%{_datadir}/applications/redhat-hwbrowser.desktop

%changelog
* Thu Apr 06 2006 Nils Philippsen <nphilipp@redhat.com> - 0.19-0.EL4.4
- make disk layout scroll arrows work (#167819, patch by Glen Johnson, slightly
  modified)

* Wed Feb  2 2005 Jeremy Katz <katzj@redhat.com> - 0.19-0.EL4.2
- fix pygtk2-libglade requirement

* Tue Feb 01 2005 Nils Philippsen <nphilipp@redhat.com> 0.19-1
- don't divide by zero with certain USB floppies (#142835, patch by Stuart
  Hayes)

* Mon Nov 23 2004 Nils Philippsen <nphilipp@redhat.com>
- require gnome-python2-canvas, pygtk2, pygtk2-glade (#140140)

* Thu Nov 18 2004 Nils Philippsen <nphilipp@redhat.com>
- put "Selected Device" and "Device Information" in vertical panes and increase
  the size of the "Selected Device" scrolled window a bit (#139900)

* Fri Oct 01 2004 Elliot Lee <sopwith@redhat.com> 0.18-2
- Change files list to avoid wildcard

* Fri Oct 01 2004 Nils Philippsen <nphilipp@redhat.com> 0.18-1
- pick up updated translations
- byte-compile python files

* Mon Sep 27 2004 Nils Philippsen <nphilipp@redhat.com> 0.17-1
- enable Arabic translation (#133723)

* Thu Sep 23 2004 Nils Philippsen <nphilipp@redhat.com> 0.16-1
- include updated translations (#133231)
- appease make distcheck

* Tue Sep 21 2004 Than Ngo <than@redhat.com> 0.15-5
- fix typo

* Tue May 25 2004 Brent Fox <bfox@redhat.com> 0.15-4
- add BuildRequires for desktop-file-utils and automake (bug #124178)

* Fri Mar 12 2004 Jeremy Katz <katzj@redhat.com> - 0.15-3
- require pyparted (split out of main parted package)

* Tue Mar  9 2004 Brent Fox <bfox@redhat.com> 0.15-2
- add a File/Quit menu (bug #108784)

* Tue Mar  9 2004 Brent Fox <bfox@redhat.com> 0.15-1
- don't put primary partitions under extended partitions (bug #109585)

* Tue Jan  6 2004 Brent Fox <bfox@redhat.com> 0.14-1
- fix bug when showing window (bug #112502)

* Fri Dec 19 2003 Brent Fox <bfox@redhat.com> 0.13-1
- apply HIG patch from bug #112258

* Mon Oct 13 2003 Brent Fox <bfox@redhat.com> 0.12-1
- update language list (bug #106607)

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 0.11-2
- bump relnum

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 0.11-1
- apply patch to pull desktop file translations from po files

* Wed Aug 27 2003 Brent Fox <bfox@bfox.devel.redhat.com> 0.10-2
- bump relnum

* Wed Aug 27 2003 Brent Fox <bfox@bfox.devel.redhat.com> 0.10-1
- notting added a new kudzu hardware class

* Tue Aug 19 2003 Brent Fox <bfox@redhat.com> 0.9-1
- glade file improvements from Than Ngo

* Tue May  6 2003 Brent Fox <bfox@redhat.com> 0.8-13
- pull in some translations

* Fri Mar  7 2003 Brent Fox <bfox@redhat.com> 0.8-12
- bump rev for rebuild

* Fri Feb 28 2003 Brent Fox <bfox@redhat.com> 0.8-11
- call update_now on canvas (bug #75857)

* Tue Feb 25 2003 Brent Fox <bfox@redhat.com> 0.8-10
- fix partition display (bug #85021)
- pull translation modules from rhpl.  (bug #84950)

* Tue Feb 11 2003 Brent Fox <bfox@redhat.com> 0.8-9
- fix bug 84033

* Fri Feb  7 2003 Brent Fox <bfox@redhat.com> 0.8-8
- check for detached floppy drives (bug #83682)

* Fri Feb  7 2003 Brent Fox <bfox@redhat.com> 0.8-7
- apply patch from bug #66581
- that patch should also fix bug #61917

* Thu Feb  6 2003 Brent Fox <bfox@redhat.com> 0.8-6
- fill out manufacturer info for USB devices (bug #81715)

* Mon Feb  3 2003 Brent Fox <bfox@redhat.com> 0.8-5
- fix the order to kudzu.probe (bug #83140)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 0.8-4
- bump and build

* Wed Jan 22 2003 Brent Fox <bfox@redhat.com> 0.8-3
- install all available langs

* Mon Jan 13 2003 Brent Fox <bfox@redhat.com> 0.8-2
- make sure cs gets installed (bug #81447)

* Thu Jan  9 2003 Jeremy Katz <katzj@redhat.com> 0.8-1
- update for new parted api (#80733)
- miscellaneous little disk view fixes

* Wed Jan  8 2003 Brent Fox <bfox@redhat.com> 0.7-2
- fix crash when firewire ports are detected (bug #74956)

* Wed Dec 11 2002 Elliot Lee <sopwith@redhat.com> 0.7-1
- Use find_lang
- Remove unpackaged files

* Fri May 31 2002 Jonathan Blandford <jrb@redhat.com>
- Port fully to GTK+ 2

* Mon Apr 15 2002 Jonathan Blandford <jrb@redhat.com>
- new version.

* Wed Mar 27 2002 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- new version.

* Wed Aug 29 2001 Jonathan Blandford <jrb@redhat.com>
- remove desktop file from %{_datadir}/kontrol-panel, #52718

* Fri Aug 24 2001 Jonathan Blandford <jrb@redhat.com>
- more translations.  Fix brokenness with kudzu probing.  Fix .desktop
- file for kontrol-panel

* Wed Aug 22 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese translation.

* Thu Aug  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version to fix slowness bug, and install into /etc/X11/sysconfig

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- upgrade to new version to fix gettext wackiness

* Mon Jul 30 2001 Jonathan Blandford <jrb@redhat.com>
- upgrade to new version

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
